#### Previous topic

scipy.spatial.distance.wminkowski

#### Next topic

Special functions (`scipy.special`)

# scipy.spatial.distance.yule

`scipy.spatial.distance.``yule`(u, v)

  Computes the Yule dissimilarity between two boolean 1-D arrays.

  The Yule dissimilarity is defined as

  \[\frac{R}{c_{TT} * c_{FF} + \frac{R}{2}}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\) and \(R = 2.0 * c_{TF} * c_{FT}\).

  Parameters:

  u : (N,) array_like, bool

  > Input array.

  v : (N,) array_like, bool

  > Input array.

  Returns:

  yule : double

  > The Yule dissimilarity between vectors u and v.